<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<!--  Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved. -->
<!--  Mybatis数据库持久层（业务层映射文件）：计划设备关联表 -->
<!--  version: 1.0  -->
<!--  author:  maven-cctp-plugin    -->
<!--  date:  2022-12-06 17:37:24  -->
<mapper namespace="net.northking.cctp.executePlan.db.dao.AtuPlanDeviceLinkDao">


  <select id="queryDeviceIdByPlanId" resultType="java.lang.String">
    select device_id from <include refid="Table_Name"/> where plan_id = #{planId}
  </select>

  <delete id="deleteByPlanId" parameterType="string">
    delete
    from
    <include refid="Table_Name"/>
    where plan_id = #{planId}
  </delete>
</mapper>